using Assets.Scripts.Utils;
using UnityEngine;

namespace Assets.Scripts.MapGeneration
{
    public class Cell
    {
        #region Fields

        public TileType Type { get; set; }
        public Vector2 Position { get; set; }

        #endregion

        #region Ctors

        public Cell(uint x, uint y, TileType type)
        {
            Type = type;
            Position = new Vector2(x, y);
        }

        #endregion
    }
}